Skip to main content
GET
/
virtual-accounts
/
admin
/
transactions
List all transactions (admin)
curl --request GET \
  --url https://api.pcxpay.com/v1/virtual-accounts/admin/transactions \
  --header 'Authorization: Bearer <token>'
"<unknown>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: 1 <= x <= 100
last_evaluated_key
string

DynamoDB pagination cursor from the previous response. Pass the value of meta.last_evaluated_key to fetch the next page.

account_id
string
org_id
string
type
enum<string>
Available options:
credit,
debit
status
enum<string>
Available options:
pending,
completed,
failed
start_date
string<date>
end_date
string<date>

Response

Paginated admin transaction list

The response is of type any.